#include <bits/stdc++.h>
using namespace std;

int main(){
	int n, a[1000], y;
	cin>>n>>y;
	for(int i=0; i<n; i++)
		cin>>a[i];
	sort(a, a+n);
	cout<<a[n-1]-a[0]+min(abs(y-a[0]), abs(y-a[n-1]));
	return 0;
}